Skip to content

HPE Greenlake for File Storage REST APIs (1.0.0)

HPE Greenlake for File Storage REST APIs

Download OpenAPI description
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/

file-shares

Refers to a collection of file shares. A file share is a specific folder in a filesystem. It includes that folder's subfolders, which can be made accessible to clients via protocols like NFS and SMB.

Operations

file-systems

Refers to a collection of filesystems.

Operations

fileshare-settings

File share settings APIs

Operations

List all the share-settings associated on HPE Alletra MP B10000 storage system identified by {systemId}

Request

List all share settings on the HPE Alletra MP B10000 storage system identified by {systemId}. Use limit, offset, filter, sort, and reconcile to control the results.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

Query
filterstring

Filters the resources returned by the API. The filter expression compares a property with a literal value. The following comparison operators are supported:

  • eq: Equals. Supported for number, boolean, and string properties.
  • gt: Greater than. Supported for number and timestamp properties.
  • lt: Less than. Supported for number and timestamp properties.
  • in: Checks whether a value exists in an array of strings. Supported properties:
  • id
  • name
  • generation
  • shareCount Examples:
  • GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?filter=id eq '04e3479f1449267b149eaa2678e7fb99'
  • GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?filter=name eq 'TestShareSetting'
limitinteger[ 0 .. 5000 ]

Number of items to return at a time

Default 100
Example: limit=10
offsetinteger[ 0 .. 100000 ]

The offset of the first item in the collection to return

Default 0
Example: offset=5
sortstring

A comma-separated list of properties to sort by, followed by a direction indicator ("asc" or "desc"). If no direction indicator is specified the default order is ascending. Sorting is supported for the following attributes:

  • name
  • createdAt Example: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?sort=name desc
reconcileboolean

When true, the API will reconcile the share count of the filesystems.

curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
countintegerrequired

Number of items in this response.

offsetintegerrequired

The offset query parameter from the request.

itemsArray of objects(ArcusShareSettingsDetails)required
items[].​idstringrequired

Share-Settings ID

Example: "7CE751P312"
items[].​typestringread-onlyrequired

The type of resource.

items[].​commonResourceAttributesobject(fileCommonResourceAttributes)
items[].​createdAtobject

Creation time

items[].​customerIdstring

The identifier of the customer application

items[].​displaynamestring(string)

Display name of the share-setting

items[].​domainstring

Domain that the resource belongs to

items[].​generationinteger(int64)read-only

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

items[].​hostAccessArray of objects

Add hosts to access NFS shares using any of the following expressions in a comma-separated list as an array- a single IP, a range of IPs in CIDR format (10.168.10.1/15) or *.

items[].​hostCountinteger

host count

Example: 1
items[].​namestring

Specifies the name of the share-settings

items[].​resourceUristring

Resource URI of the share-setting

items[].​settingIdnumber

Specifies the id of the share-setting

items[].​shareCountinteger

Number of shares using the share-setting

Example: 1
items[].​statestring

Specifies the state of the share-settings

Example: "NORMAL"
items[].​systemIdstring

SystemId of the storage system

Example: "7CE751P312"
items[].​systemWwnstring

SystemWWN of the array.

Example: "7CE751P312"
totalinteger

Total number of items matching the filter parameter in the request.

Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }

Fetch details of a share-settings identified by {sharesettingsId} on HPE Alletra MP B10000 storage system identified by {systemId}

Request

Fetch details of the share settings identified by {sharesettingsId} on the HPE Alletra MP B10000 storage system identified by {systemId}.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

sharesettingsIdstringrequired

Unique identifier of the file share-settings

curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
idstringrequired

Share-Settings ID

Example: "7CE751P312"
typestringread-onlyrequired

The type of resource.

commonResourceAttributesobject(fileCommonResourceAttributes)
createdAtobject

Creation time

customerIdstring

The identifier of the customer application

displaynamestring(string)

Display name of the share-setting

domainstring

Domain that the resource belongs to

generationinteger(int64)read-only

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

hostAccessArray of objects

Add hosts to access NFS shares using any of the following expressions in a comma-separated list as an array- a single IP, a range of IPs in CIDR format (10.168.10.1/15) or *.

hostCountinteger

host count

Example: 1
namestring

Specifies the name of the share-settings

resourceUristring

Resource URI of the share-setting

settingIdnumber

Specifies the id of the share-setting

shareCountinteger

Number of shares using the share-setting

Example: 1
statestring

Specifies the state of the share-settings

Example: "NORMAL"
systemIdstring

SystemId of the storage system

Example: "7CE751P312"
systemWwnstring

SystemWWN of the array.

Example: "7CE751P312"
Response
application/json
{ "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "string", "errMessage": "string" }, "createdAt": { "ms": 0, "tz": "string" }, "customerId": "string", "displayname": "string", "domain": "string", "generation": 0, "hostAccess": [ { … } ], "hostCount": 1, "id": "7CE751P312", "name": "string", "resourceUri": "string", "settingId": 0, "shareCount": 1, "state": "NORMAL", "systemId": "7CE751P312", "systemWwn": "7CE751P312", "type": "string" }

fileshares

Refers to a collection of file shares. A file share is a specific folder in a filesystem. It includes that folder's subfolders, which can be made accessible to clients via protocols like NFS and SMB.

Operations

filesystems

Refers to a collection of filesystems.

Operations